This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460140 - Forgotten package from oVirt 4.0 in oVirt 4.1
Forgotten package from oVirt 4.0 in oVirt 4.1
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.19.10
Unspecified Linux
unspecified Severity low (vote)
: ovirt-4.1.4
: 4.19.21
Assigned To: Irit Goihman
Pavol Brilla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 04:40 EDT by Fabrice Bacchella
Modified: 2017-07-28 10:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:10:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78357 master MERGED spec: make sure infra package is deleted on upgrade 2017-06-27 16:11 EDT
oVirt gerrit 78734 ovirt-4.1 MERGED spec: make sure infra package is deleted on upgrade 2017-06-28 06:30 EDT

  None (edit)
Description Fabrice Bacchella 2017-06-09 04:40:34 EDT
I have some hosts installed on oVirt 3.6 or 4.0, I'm not sure.

I upgraded them to 4.1 using the the management console.

I later tried a yum autoremove, and got a strange :
~# yum autoremove
Loaded plugins: etckeeper, fastestmirror
Resolving Dependencies
--> Running transaction check
...
---> Package vdsm-infra.noarch 0:4.18.21-1.el7.centos will be erased


And indeed this package is a leftover from ovirt 4.0:
# yum list vdsm-infra 
Installed Packages
vdsm-infra.noarch                                                4.18.21-1.el7.centos                                                @ovirt-4.0

It's not part of ovirt 4.1, that is configured for that host:
~# yum repolist
...
ovirt-4.1                                             Latest oVirt 4.1 Release                                                              627
ovirt-4.1-centos-gluster38/x86_64                     CentOS-7 - Gluster 3.8                                                                196
ovirt-4.1-epel/x86_64                                 Extra Packages for Enterprise Linux 7 - x86_64                                      11777
ovirt-4.1-patternfly1-noarch-epel/x86_64              Copr repo for patternfly1 owned by patternfly                                           2
ovirt-centos-ovirt41/7.3.1611/x86_64                  CentOS-7.3.1611 - oVirt 4.1                                                           288
...

So can I remove it ? Does a Deprecate: vdsm-infra missing in some spec file ?
Comment 1 rhev-integ 2017-07-07 08:24:07 EDT
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Tag 'v4.19.21' doesn't contain patch 'https://gerrit.ovirt.org/78734']
gitweb: https://gerrit.ovirt.org/gitweb?p=vdsm.git;a=shortlog;h=refs/tags/v4.19.21

For more info please contact: infra@ovirt.org
Comment 2 Eyal Edri 2017-07-10 08:25:13 EDT
This bug is in the v4.19.21 tag and should have moved to ON_QA.
We've identified the problem in the bot which should move it and it will be fixed for next build.
Comment 3 Pavol Brilla 2017-07-19 11:25:38 EDT
Package vdsm-infra is removed automatically during upgrade of vdsm

Note You need to log in before you can comment on or make changes to this bug.